[ Body Bag @ 10.05.2006. 18:29 ] @
Da,da
Pozeleo sam da kompajiram kernel za Open BSD 3.8(zbog podrske za NTFS i jos nekih stvarcica) i bas se iznenadio-/usr/src/sys folder je prazan!
Pogledao sam i ostale foldere ali nigde nisam nasao makefile od kernela,GENERIC conf fajl i foldere sa arhitekturama-znate ono i386,AMD64...itd.
Kada kucam uname -a izbaci Open BSD 3.8 GENERIC...
A prilikom instalacije sam izabrao sve setove za install....
What the fuck?
Kde je kernel-'ocu da kompajliram!
Poz i hvala unapred!
[ Miroslav Strugarevic @ 10.05.2006. 18:43 ] @
Pošto kernel ne dolazi uz base instalaciju, moraćeš da ga skineš sa neta.

http://www.openbsd.org/faq/faq5.html
[ Body Bag @ 10.05.2006. 19:04 ] @
Fijjuuuuu.....
Thanks!
Bas sam se istripovao-video sam dokumentaciju,ali sam mislio da se taj deo odnosi samo ako hoces da sve kompajliras i pravis sve iz source-a
E sad me interesuje,da li bi ja tako mogao da nadogradim SAMO 3.8 kernel na najnoviji stable 3.9,a da pritom koristim softver od 3.8-mice-nadam se da je tako nesto moguce....
Hvala puno i ne zamerite mi-nemam toliko iskustva sa OpenBSD-om,za razliku od njegovog Free kolege a i Linuxa
[ Miroslav Strugarevic @ 10.05.2006. 22:24 ] @
Verujem da je izvodljivo, ali ne znam zbog čega sve to. U 3.9 imaš sigurno svežiji softver.
[ [email protected] @ 12.05.2006. 02:36 ] @
Ako zelis samo upgrade kernela, zbog nemogucnosti skidanja novog OpenBSD-a i konzervacije para za Internetsku liniju, moguce je, evo ukratko kako bi to islo, ali nikako nije zdravo, i moze prouzrocit probleme na relacijama program-program kompatibilnost :

Vidim da si radio customizacije na stock core-u, tako da bi bilo pozeljno da kompletan 3.9 kernel izbuildas iz sourcea, a prije toga modificiras stvari koje si modificirao prilikom buildanja custom 3.8 kernela.

Postoji daljnih nekoliko koraka koje moras provjerit prije podizanja novog kernela : ako imas kakav mrezni interfejs u kompjuteru koji koristi le driver, moguce je, tj. vjerovatno je, da 3.9 kernel hoce taj interfejs dizat preko novog pcn drivera. Tad bi trebalo kopirat sve fileove po kriteriju /etc/hostname.le* u /etc/hostname.pcn*. Dalje, pfsync, carp, ftp-proxy i ancontrol su prosli kroz neke preinake, tako ako koristis neki od tih programa, pogledaj za razlike izmedju 3.8 i 3.9, i promijeni potrebno. Zadnje, mozda i nebitno, posto ces morat instalirat nove core biblioteke, pazi na diskovni prostor. /usr/lib se povecao za nekih 150 mega u 3.9 verziji.

Onda, sigurno ce ti trebat base, etc i man paketi za verziju 3.9. Manual pages, nemoram spominjat zasto ti nove trebaju, base package ti treba radi device datoteka, isto tako i etc package koji drzi konfiguracije za te sve 3.9 novotarije.

Instalacija je as follows : trebas iz etc paketa izbacit /etc/firmware direktorij sebi lokalno. Nakon toga, mozes se rebootat i podignut novoizbuildani 3.9 kernel. Nakon toga, mozes ili raspakirat base paket i stvorit si novi 3.9 userland, ili samo izvuc MAKEDEV file sebi lokalno u /dev i napravit ./dev/MAKEDEV all.

E vidis, treba ti sve od novog OpenBSDa. Osim dijelova koji nisu usko vezani za sam sistem, poput kompajlerskog paketa i X11-tke. Ja ovo uopce ne bi radio, vec ako je problem u skidanju cijelog 3.9 sistema, nitko ti ne brani da ti prvo napravis clean install ili automatiziranu upgrade proceduru baznog sistema, pa kasnije jednostavno otpakiras kompajlerski paket i X11 paket iz 3.8 distribucijskih fileova. Nakon toga vratis svoje backupirane confige, i sve je ko prije, samo nov sistem.

Ako te vodi ona Linuxovska teza (posto si naveo da imas iskustva sa Linuxom) da je sigurnije koristit stalne, oprobane releasove nego novije, zaboravi to kompletno i dobrodosao u predivan BSD svijet. OpenBSD 3.9, kao i svaki novi release, je prosao masovan audit kompletnog source tree-a, i nema sanse da ce bit ikakvih problema.

Moja preporuka : zaboravi ove djurine kucne carolije, i fino si napravi punokrvni upgrade.